API Reference
Integrate FindMeABot stats, query listings, and update your bot's live server count with our REST API.
POST
/api/bots/:id/stats Token RequiredPost live statistics (server count and user count) for your bot using your bot API token.
Headers
| Header | Value | Description |
|---|---|---|
| Authorization | Bearer <token> | Your secret bot API token. |
| Content-Type | application/json | Must be set to application/json. |
JSON Body Schema
{
"servers": 1420,
"users": 850300
}JSON Response
{
"success": true,
"servers": 1420,
"users": 850300
}Code Examples
const { Client, GatewayIntentBits } = require('discord.js');
const client = new Client({ intents: [GatewayIntentBits.Guilds] });
client.on('ready', async () => {
console.log(`Logged in as ${client.user.tag}!`);
try {
const response = await fetch(
`https://www.findmeabot.space/api/bots/${client.user.id}/stats`,
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_BOT_TOKEN_HERE',
'Content-Type': 'application/json',
},
body: JSON.stringify({
servers: client.guilds.cache.size,
}),
}
);
const data = await response.json();
console.log('Stats updated:', data);
} catch (err) {
console.error('Failed to post stats:', err);
}
});
client.login('DISCORD_BOT_TOKEN');